Bug 1005576 - No mouse pointer in Alpha TC5, KVM guest
No mouse pointer in Alpha TC5, KVM guest
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-desktop3 (Show other bugs)
20
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-08 12:33 EDT by digimer
Modified: 2015-06-29 08:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:20:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description digimer 2013-09-08 12:33:04 EDT
Description of problem:

I just installed F20 alpha TC5 as a pretty stock guest on my F19 laptop. The welcome screen after first logging in, when it asks you for your region, has no mouse pointer visible. When I try to move the mouse around, I can see it highlighting the various language/regions and the "Next" button, so it appears to simply not be visible.


Version-Release number of selected component (if applicable):

Fedora 20 x86_64, Alpha TC5


How reproducible:

Tried once


Steps to Reproduce:
1. Install F20 aTC5 as a KVM guest on F19.
2. Login as the user you created during the install.
3.

Actual results:

Mouse is not visible


Expected results:

Mouse be visible.


Additional info:

cat /etc/libvirt/qemu/f20_toy.xml
<!--
WARNING: THIS IS AN AUTO-GENERATED FILE. CHANGES TO IT ARE LIKELY TO BE
OVERWRITTEN AND LOST. Changes to this xml configuration should be made using:
  virsh edit f20_toy
or other application using the libvirt API.
-->

<domain type='kvm'>
  <name>f20_toy</name>
  <uuid>d442fd09-82a4-f549-b8a3-9c71b923db2b</uuid>
  <memory unit='KiB'>4194304</memory>
  <currentMemory unit='KiB'>4194304</currentMemory>
  <vcpu placement='static'>2</vcpu>
  <os>
    <type arch='x86_64' machine='pc-i440fx-1.4'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/>
    <apic/>
    <pae/>
  </features>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='raw'/>
      <source file='/mnt/usb/VMs/images/f20_toy.img'/>
      <target dev='vda' bus='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </disk>
    <disk type='block' device='cdrom'>
      <driver name='qemu' type='raw'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
      <address type='drive' controller='0' bus='1' target='0' unit='0'/>
    </disk>
    <controller type='usb' index='0'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>
    <controller type='ide' index='0'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <controller type='virtio-serial' index='0'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </controller>
    <controller type='pci' index='0' model='pci-root'/>
    <interface type='network'>
      <mac address='52:54:00:d9:ef:e3'/>
      <source network='default'/>
      <model type='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <serial type='pty'>
      <target port='0'/>
    </serial>
    <console type='pty'>
      <target type='serial' port='0'/>
    </console>
    <channel type='spicevmc'>
      <target type='virtio' name='com.redhat.spice.0'/>
      <address type='virtio-serial' controller='0' bus='0' port='1'/>
    </channel>
    <input type='tablet' bus='usb'/>
    <input type='mouse' bus='ps2'/>
    <graphics type='spice' autoport='yes'/>
    <sound model='ich6'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </sound>
    <video>
      <model type='qxl' ram='65536' vram='65536' heads='1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <memballoon model='virtio'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </memballoon>
  </devices>
</domain>
Comment 1 digimer 2013-09-08 12:38:20 EDT
I continued on and the mouse pointer did not become visible. I installed all available OS updates and rebooted. The pointer is visible at the user selection screen, but it disappears again after logging in.
Comment 2 Simone Caronni 2013-11-04 03:41:49 EST
Same issue here with Fedora 20 Beta RC2. Mouse available at login, and then no cursor visible after logging in.

The same is happening since Alpha.
Comment 3 cslee-redhat 2014-01-03 08:45:33 EST
I have found that after install of Fedora 20 client as long as I leave the resolution at 1024 x 768 I have a mouse pointer everywhere.
If I change the resolution to another value spice handles this fine and I can work well, but after reboot I have pointer in login screen (which is still 1024 x 768) but not in the user sssion which has saved and is using the new resolution.
In the Gnome resolution configuration screen the ratio is still shown as 4:3 even though the new resoltion is not 4:3, could the be part of the cause?
Comment 4 Steve 2014-11-01 04:56:43 EDT
I see this behavior in F21 Beta 4...
Comment 5 mchalupa 2015-02-04 07:26:44 EST
I experience this bug in fresh Fedora 21-5 installation too.
Comment 6 mchalupa 2015-02-05 02:20:27 EST
To be precise, the bug is there only under wayland session in F21.
Comment 7 mchalupa 2015-02-05 05:48:30 EST
This seems to be the reason:

ioctl(11, 0xc01c64a3, 0x7fff77205ac0)   = -1 EFAULT (Bad address)

This is underlying syscall from drmModeMoveCursor. Gnome shell under wayland is using native backend and in update_hw_cursor() this call fails.
Comment 8 Fedora End Of Life 2015-05-29 05:22:45 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 08:20:58 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.